E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::AuthImp Class Reference

A private pimple-pattern implementation class used by GPop::Auth. More...

## Public Member Functions
| AuthImp (const Secrets &)
bool | valid () const
bool | init (const std::string &mechanism)
bool | authenticated (const std::string &, const std::string &)
bool | mustChallenge () const
std::string | challenge ()
std::string | id () const
std::string | mechanisms () const
bool | sensitive () const

## Detailed Description

A private pimple-pattern implementation class used by GPop::Auth.

Definition at line 30 of file gpopauth.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopauth.cpp